package main

import (
	"fmt"
	"log"
	"os"

	"github.com/charmbracelet/bubbles/list"
	tea "github.com/charmbracelet/bubbletea"
	"github.com/charmbracelet/lipgloss"
	"github.com/muesli/termenv"
)

func main() {
    items := []list.Item{
		item("/home/user/Workspace"),
		item("/home/user/Downloads"),
	}

    lipgloss.DefaultRenderer().SetColorProfile(termenv.TrueColor)
	p := tea.NewProgram(initialModel(items), tea.WithOutput(os.Stderr))
    m, err := p.Run();
	if err != nil {
		log.Fatal(err)
	} else {
        fmt.Println(m.View())
    }
}
